import javax.swing.*;
import java.awt.event.*;

public class StartGame implements ActionListener
{
  private JTextField inputBet, playersCards, dealersCards, result;
  private String cardString, dcardString, winString;
  private Dealer dealer;
  private BlackJackPlayer player;

  public StartGame(JTextField bet, JTextField player, JTextField dealer,
                   JTextField winner)
  {
    inputBet = bet;
    playersCards = player;
    dealersCards = dealer;
    result = winner;
  }

  public void actionPerformed(ActionEvent e) {

    int n, i, newCard;
    int bet;

    if (e.getActionCommand().equals
     ("                                     Play                                   ")) {
      bet = Integer.parseInt(inputBet.getText().trim());
      dealer = new Dealer();
      player = new BlackJackPlayer();
      cardString = "";
      dcardString = "";
      winString = "";
      dealer.beginPlay(player);
      // dealer decides whether to hit or stay
      dealer.move();
      n = player.getNumCards();
      newCard = n;
      for (i = 0; i < n; i++)
        cardString = cardString + " " + player.getCard(i);
      playersCards.setText(cardString);
      dealersCards.setText(dcardString);
      result.setText(winString);
    }

    if (e.getActionCommand().equals
        ("              Hit              ")) {
      player.hit(dealer);
      n = player.getNumCards() - 1;
      cardString = cardString + " " + player.getCard(n);
      playersCards.setText(cardString);
      if (player.getSum() > 21) {
        winString = "Dealer wins.";
        result.setText(winString);
        //Show dealer's cards
        for (i = 0; i < dealer.getNumCards(); i++)
          dcardString = dcardString + " " + dealer.getCard(i);
        dealersCards.setText(dcardString);
      }
    }

    if (e.getActionCommand().equals
        ("             Stand             ")) {
      for (i = 0; i < dealer.getNumCards(); i++)
        dcardString = dcardString + " " + dealer.getCard(i);
      dealersCards.setText(dcardString);
      if (player.getSum() > 21)
        if (dealer.getSum() > 21)
          winString = "Tie!";
        else
          winString = "Dealer wins.";
      else        //player.getSum() <= 21
        if (dealer.getSum() > 21)
          winString = "Player wins!";
        else
          if (player.getSum() > dealer.getSum())
            winString = "Player wins!";
          else if (player.getSum() == dealer.getSum())
                 winString = "Tie!";
               else
                 winString = "Dealer wins.";
      result.setText(winString);
    }
  }
}
